# AlpsSolution Class Reference

`#include <AlpsSolution.h>`

Inheritance diagram for AlpsSolution:
[legend]
Collaboration diagram for AlpsSolution:
[legend]

List of all members.

## Public Member Functions
| AlpsSolution ()
| Default constructor.
| AlpsSolution (const AlpsNodeIndex_t i, const int d)
| Constructor to set index and depth.
virtual | ~AlpsSolution ()
| Destructor.
AlpsNodeIndex_t | getIndex ()
| Get index where solution was found.
void | setIndex (const AlpsNodeIndex_t i)
| Set index where solution was found.
int | getDepth ()
| Get depth where solution was found.
void | setDepth (const int d)
| Set depth where solution was found.
virtual void | print (std::ostream &os) const
| Print out the solution.
## Private Member Functions
| AlpsSolution (const AlpsSolution &)
| Diable copy constructor and assignment.
AlpsSolution & | operator= (const AlpsSolution &)
## Private Attributes
int | index_
| The index of the node where the solution was found.
int | depth_
| The depth of the node where the solution was found.

## Detailed Description

Definition at line 35 of file AlpsSolution.h.

## Constructor & Destructor Documentation

AlpsSolution::AlpsSolution | ( | const AlpsSolution & |  | ) | `[private]`

Diable copy constructor and assignment.

AlpsSolution::AlpsSolution | ( |  | ) | `[inline]`

Default constructor.

Definition at line 51 of file AlpsSolution.h.

AlpsSolution::AlpsSolution | ( | const AlpsNodeIndex_t | i,
|  | const int | d |
| ) |  |  | `[inline]`

Constructor to set index and depth.

Definition at line 59 of file AlpsSolution.h.

virtual AlpsSolution::~AlpsSolution | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 67 of file AlpsSolution.h.

## Member Function Documentation

AlpsSolution& AlpsSolution::operator= | ( | const AlpsSolution & |  | ) | `[private]`

Reimplemented from AlpsKnowledge.

AlpsNodeIndex_t AlpsSolution::getIndex | ( |  | ) | `[inline]`

Get index where solution was found.

Definition at line 70 of file AlpsSolution.h.

void AlpsSolution::setIndex | ( | const AlpsNodeIndex_t | i | ) | `[inline]`

Set index where solution was found.

Definition at line 73 of file AlpsSolution.h.

int AlpsSolution::getDepth | ( |  | ) | `[inline]`

Get depth where solution was found.

Definition at line 76 of file AlpsSolution.h.

void AlpsSolution::setDepth | ( | const int | d | ) | `[inline]`

Set depth where solution was found.

Definition at line 79 of file AlpsSolution.h.

virtual void AlpsSolution::print | ( | std::ostream & | os | ) | const`[inline, virtual]`

Print out the solution.

Reimplemented in AbcSolution, and KnapSolution.

Definition at line 82 of file AlpsSolution.h.

## Member Data Documentation

int AlpsSolution::index_`[private]`

The index of the node where the solution was found.

Definition at line 43 of file AlpsSolution.h.

int AlpsSolution::depth_`[private]`

The depth of the node where the solution was found.

Definition at line 46 of file AlpsSolution.h.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Alps-1.5.2/Alps/src/AlpsSolution.h